<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminUsersGrid.inc.php" );

	class AdminUsersPage extends BackendPage {
		protected $oAdminUsersGrid;

		public function __construct( $id = "AdminUsersPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminUsersGrid = new AdminUsersGrid( "AdminUsersGrid" , $this );
		}
		
		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["selector"] ) && $g["selector"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminUsersGrid->setSelector( true );
			return parent::modifyGetPost( $g , $p );
		}
	}
?>
